Jobs
Get logs for a Job
Retrieve the logs for the Job with the specified Id. Required permissions: ViewJobs. Note: This is a beta endpoint with known limitations.
GET
/
api
/
jobs
/
beta
/
jobs
/
{jobId}
/
logs
Get logs for a Job
curl --request GET \
--url https://mycluster.domino.tech/api/jobs/beta/jobs/{jobId}/logs \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/jobs/beta/jobs/{jobId}/logs"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/jobs/beta/jobs/{jobId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": {
"isComplete": true,
"logContent": [
{
"log": "Pulling image \"172.20.22.242:5000/noahjax11699-compute/environment:622a6879dde1a920fcccfef5-1\"",
"logType": "stdOut",
"size": 94,
"timestamp": "2022-03-12T02:13:51.616Z"
}
],
"helpLink": "Error. No such file or directory.",
"problem": "python: can't open file 'invalid.py': [Errno 2] No such file or directory"
},
"metadata": {
"notices": [
"<string>"
],
"pagination": {
"limit": 10,
"latestTimeNano": "1647051415275957459"
},
"requestId": "bbd78579-93c4-45ee-a983-0d5c8da6d5b1"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Id of job to get logs for
Query Parameters
Type of log to retrieve. Case insensitive.
Available options:
stdOut, stdErr, prepareOutput, complete Max number of log lines to fetch. Will not retrieve over 10000 log lines at a time.
The epoch time in nanoseconds to start fetching from
Last modified on August 18, 2026
Was this page helpful?
⌘I
Get logs for a Job
